# -*-coding:utf-8 -*- #
# ---------------------------------------------------------------------------
# ProjectName:   pythonProject2
# FileName:      DB_config.py
# Author:        YH
# Datetime:      2024/7/13 9:44
# Description:
# ---------------------------------------------------------------------------
import pymysql

from MyAPIAutoTest_v1.common.read_ini import ReadCommonIni


class DbConfig:
    def __init__(self):
        ini = ReadCommonIni()
        try:
            self.conn = pymysql.connect(
                host=ini.get_mysql_confdata("host"),
                port=int(ini.get_mysql_confdata("port")),
                user=ini.get_mysql_confdata("user"),
                password=ini.get_mysql_confdata("pwd"),
                database=ini.get_mysql_confdata("database"),
                charset="utf8"
            )
        except Exception as e:
            print("数据库连接失败！")
            raise e
        else:
            self.cur = self.conn.cursor()

    def sql_delete(self, sql_del):
        try:
            self.cur.execute(sql_del)
        except Exception as e:
            print("sql语句错误！")
            raise e
        else:
            self.conn.commit()

    def sql_select(self, sql_sel):
        try:
            self.cur.execute(sql_sel)
        except Exception as e:
            print("sql语句错误！")
            raise e
        else:
            data = self.cur.fetchall()
            if data:
                return data[0][0]

    def db_close(self):
        self.cur.close()
        self.conn.close()


if __name__ == '__main__':
    db = DbConfig()
    sql = 'SELECT ID_ FROM uc_demension WHERE `CODE_`="test_dem_xyz_123";'
    print(db.sql_select(sql))
    db.db_close()












