# -*-coding:utf-8 -*- #
# ---------------------------------------------------------------------------
# ProjectName:   pythonProject2
# FileName:      log.py
# Author:        YH
# Datetime:      2024/7/14 12:12
# Description:
# ---------------------------------------------------------------------------
import logging
import os
import time

from MyAPIAutoTest_v1.common.read_ini import ReadCommonIni


# logging.basicConfig(level=logging.INFO,
#                     format='%(asctime)s - %(filename)s[line:%(lineno)d] - %(levelname)s: %(message)s'
#                     )
# logging.critical("致命错误！")
# logging.fatal("致命错误")
# logging.error("错误级别")
# logging.warning("提示级别")
# logging.info("info级别")
# logging.debug("调试日志")

# # 创建logging对象
# logger = logging.getLogger()
# # 设置日志写如文件的级别
# logger.setLevel(level=logging.INFO)
# # 设置日志文件
# file_handler = logging.FileHandler("日志.log", mode="a", encoding="utf-8")
# # 设置日志在文件中的显示格式
# log_format = logging.Formatter('%(asctime)s - %(filename)s[line:%(lineno)d] - %(levelname)s: %(message)s')
# # 将日志设置格式添加到日志文件中
# file_handler.setFormatter(log_format)
# # 将日志文件添加到logger对象
# logger.addHandler(file_handler)
#
# logger.critical("致命错误！")
# logger.fatal("致命错误")
# logger.error("错误级别")
# logger.warning("提示级别")
# logger.info("info级别")
# logger.debug("调试日志")


def get_logger():

    log_name = time.strftime("%Y_%m_%d_%H_%M_%S", time.localtime(time.time())) + ".log"
    log_path = ReadCommonIni().get_log_dir("log_dir")

    # 创建logging对象
    logger = logging.getLogger()
    # 设置日志写如文件的级别
    logger.setLevel(level=logging.INFO)
    # 设置日志文件
    file_handler = logging.FileHandler(os.path.join(log_path, log_name), mode="a", encoding="utf-8")
    # 设置日志在文件中的显示格式
    log_format = logging.Formatter('%(asctime)s - %(filename)s[line:%(lineno)d] - %(levelname)s: %(message)s')
    # 将日志设置格式添加到日志文件中
    file_handler.setFormatter(log_format)
    # 将日志文件添加到logger对象
    logger.addHandler(file_handler)

    return logger


if __name__ == '__main__':
    log = get_logger()
    log.error("错误信息")