# -*-coding:utf-8 -*- #
# ---------------------------------------------------------------------------
# ProjectName:   pythonProject2
# FileName:      test_case.py
# Author:        YH
# Datetime:      2024/7/13 15:14
# Description:
# ---------------------------------------------------------------------------
import allure
import pytest

from MyAPIAutoTest_v1 import log
from MyAPIAutoTest_v1.common.read_excel import ReadExcel
from MyAPIAutoTest_v1.test_case.test_aYuan import USERNAME


class TestBPM:
    @allure.epic(f"BPM-{USERNAME}")
    @pytest.mark.parametrize("module, api, title, lever,method, path, req_type, case_data, expect_data, sql_type, sql_data, update_key", ReadExcel(USERNAME).get_case_data())
    def test_bpm(self, db_fix, req_fix, module, api, title, lever, method, path, req_type, case_data, expect_data, sql_type, sql_data, update_key):
        allure.dynamic.feature(module)
        allure.dynamic.story(api)
        allure.dynamic.title(title)
        allure.dynamic.severity(lever)
        if sql_type == "delete":
            db_fix.sql_delete(sql_data)
        elif sql_type == "select":
            new_data = db_fix.sql_select(sql_data)
            case_data[update_key] = new_data

        elif sql_type == "select|delete" or sql_type == "delete|select":
            db_fix.sql_delete(sql_data.get("delete"))
            new_data = db_fix.sql_select(sql_data.get("select"))
            case_data[update_key] = new_data

        bpm_res = req_fix.request_all(req_method=method, req_url=path, req_type=req_type, case_data=case_data)

        try:
            for key in expect_data:
                assert bpm_res.json().get(key) == expect_data[key]
                log.info(f"断言成功！测试数据为：{case_data}, 期望数据为：{expect_data}, 实际数据为：{bpm_res.text}")
        except AssertionError:
            log.error(f"断言失败！测试数据为：{case_data}, 期望数据为：{expect_data}, 实际数据为：{bpm_res.text}")
            raise AssertionError("断言失败！")
        else:
            print("断言成功！")









